/api/v1/payter-terminals/{serialNumber}/ui

Display a UI screen on the terminal. After this operation, the terminal will display the defined screen.

Different screen types:

TypeMessageSelectionDispense
ScreenMessageSelectionDispense
Properties• title
• message
• icon (optional)
• buttons.<name>.label (optional)
• title
• split (optional)
• items.<name>.label (optional)
• items.<name>.value (optional)
• items.<name>.currency (optional)
• title
• subtitle
• background (optional)

The callbackUrl is called if a button is pressed, or an item is selected.

Callback notification

When a button is pressed or an item is selected, the callbackUrl will receive a POST request with a JSON body containing:

{
  "serialNumber": "P6X20141000001",   // Serial number of the terminal that triggered the UI notification
  "screenId": "confirm-order-dialog", // Screen id that triggered the UI notification.
  "response": "ok",                   // Response returned from the screen, usually the name of the button/item pressed.
}
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The serial number of the Payter terminal

Query Params
string

URL that will be called when a button is pressed or an item is selected

Body Params
string
required

Screen id

string
required

Type of UI screen

properties
object

Properties of UI screen

Responses
200

Successful operation

400

Bad Request - Invalid request parameters

Malformed screen request

404

Terminal not found

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json